<h1>Items</h1>
<button (click)="toggle()">Toggle Items</button>

<p *ngIf="items.length === 0">
    Sorry, no items here
</p>
<table *ngIf="items.length > 0">
    <thead>
        <tr>
            <th>#</th>
            <th>Name</th>
            <th>Price</th>
            <th>Count</th>
            <th>Total</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of items; let row=index; let isEven=even" [ngClass]="{stripe:isEven}">
            <td>{{row + 1}}</td>
            <td>{{item.name | titlecase}}</td>
            <td>{{item.price | currency:'SEK':'code':'1.0-0'}}</td>
            <td>{{item.count | number:'1.0-0'}}</td>
            <td>{{item.price * item.count | currency:'SEK':'code':'1.0-0'}}</td>
        </tr>
    </tbody>
    <tfoot>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td>Sum:</td>
            <td>{{total | currency:'SEK':'code':'1.0-0'}}</td>
        </tr>
    </tfoot>
</table>

